com.sleepycat.bind

## Class ByteArrayBinding

- java.lang.Object
- - com.sleepycat.bind.ByteArrayBinding

All Implemented Interfaces:
  EntryBinding<byte[]>

    public class ByteArrayBinding
    extends java.lang.Object
    implements EntryBinding<byte[]>

A pass-through `EntryBinding` that uses the entry's byte array as the key or data object.

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayBinding()` Creates a byte array binding.

### Method Summary

Methods
`byte[]` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` `objectToEntry(byte[] object, DatabaseEntry entry)` Converts an Object into a entry buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayBinding

    public ByteArrayBinding()

Creates a byte array binding.

### Method Detail

#### entryToObject

    public byte[] entryToObject(DatabaseEntry entry)

Description copied from interface: `EntryBinding`
Converts a entry buffer into an Object.

Specified by:
  `entryToObject` in interface `EntryBinding<byte[]>`
Parameters:
  `entry` - is the source entry buffer.
Returns:
  the resulting Object.

#### objectToEntry

    public void objectToEntry(byte[] object,
                     DatabaseEntry entry)

Description copied from interface: `EntryBinding`
Converts an Object into a entry buffer.

Specified by:
  `objectToEntry` in interface `EntryBinding<byte[]>`
Parameters:
  `object` - is the source Object.
  `entry` - is the destination entry buffer.